<?php
$wp_customize->add_section(
	'theme_component_options',
	array(
		'title' => __( 'Theme Component Options', 'magazine-saga' ),
		'panel' => 'misc_options_panel',
	)
);

$wp_customize->add_setting(
	'theme_component_style',
	array(
		'default'           => $theme_options_defaults['theme_component_style'],
		'sanitize_callback' => 'magazine_saga_sanitize_select',
	)
);
$wp_customize->add_control(
	'theme_component_style',
	array(
		'label'   => __( 'Theme Component Style', 'magazine-saga' ),
		'description'    => __( 'Global style for several theme components. Make sure to check the site after changing this.', 'magazine-saga' ),
		'section' => 'theme_component_options',
		'type'    => 'select',
		'choices' => array(
			'style_1' => __( 'Boxed', 'magazine-saga' ),
			'style_2' => __( 'Bordered', 'magazine-saga' ),
			'style_3' => __( 'Normal', 'magazine-saga' ),
		),
	)
);

/*Theme Component background Color*/
$wp_customize->add_setting(
	'theme_component_bg_color',
	array(
		'default'           => $theme_options_defaults['theme_component_bg_color'],
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'theme_component_bg_color',
		array(
			'label'           => __( 'Component Background Color', 'magazine-saga' ),
			'section'         => 'theme_component_options',
			'type'            => 'color',
		)
	)
);