<?php
/**
 * Displays the footer widget area.
 *
 * @package Magazine_Saga
 */

 /*Get the footer column from the customizer*/
$footer_column_layout = get_theme_mod( 'footer_column_layout', 'footer_layout_2' );
$footer_class         = 'col-md-6 col-lg-3';

// Match Column value with Column class.
if ( $footer_column_layout ) {
	switch ( $footer_column_layout ) {
		case 'footer_layout_1':
			$footer_column = 4;
			$footer_class  = 'col-md-6 col-lg-3';
			break;
		case 'footer_layout_2':
			$footer_column = 3;
			$footer_class  = 'col-md-4';
			break;
		case 'footer_layout_3':
			$footer_column = 2;
			$footer_class  = 'col-md-6';
			break;
		case 'footer_layout_4':
			$footer_column = 2;
			$footer_class  = array( 'col-md-6 col-lg-9', 'col-md-6 col-lg-3' );
			break;
		case 'footer_layout_5':
			$footer_column = 3;
			$footer_class  = array( 'col-lg-3', 'col-lg-6', 'col-lg-3' );
			break;
		case 'footer_layout_6':
			$footer_column = 2;
			$footer_class  = array( 'col-md-6 col-lg-3', 'col-md-6 col-lg-9' );
			break;
		default:
			$footer_column = 4;
			$footer_class  = 'col-md-6 col-lg-3';
	}
} else {
	$footer_column = 4;
	$footer_class  = 'col-md-6 col-lg-3';
}

$cols = intval( apply_filters( 'magazine_saga_footer_widget_columns', $footer_column ) );

// For old compatibilty covert the widget number to name.
$col_name = array(
	'one',
	'two',
	'three',
	'four',
);

// Defines the number of active columns in this footer row.
for ( $j = $cols; 0 < $j; $j-- ) {
	if ( is_active_sidebar( 'footer-col-' . $col_name[ $j - 1 ] ) ) {
		$columns = $j;
		break;
	}
}

if ( isset( $columns ) ) : ?>
	<div class="magazine-saga-footer-widgets">
		<div class="row g-5">
			<?php
			for ( $column = 1; $column <= $columns; $column++ ) :
				if ( is_active_sidebar( 'footer-col-' . $col_name[ $column - 1 ] ) ) :

					// Get the proper column class.
					if ( is_array( $footer_class ) ) {
						$footer_display_class = $footer_class[ $column - 1 ];
					} else {
						$footer_display_class = $footer_class;
					}
					?>
					<div class="col-sm-12 footer-common-widget <?php echo esc_attr( $footer_display_class ); ?> footer-widget-<?php echo esc_attr( strval( $column ) ); ?>">
						<?php dynamic_sidebar( 'footer-col-' . $col_name[ $column - 1 ] ); ?>
					</div><!-- .footer-widget-<?php echo esc_html( strval( $column ) ); ?> -->
					<?php
				endif;
			endfor;
			?>
		</div>
	</div>
	<?php
	unset( $columns );
endif;
