<?php 
// Inverted OffCanvas.
$wrapper_classes = 'magazine-saga-canvas-block';
if ( 'dark' == get_theme_mod( 'offcanvas_theme', 'dark' ) ) {
	$wrapper_classes .= ' inverted-offcanvas';
}
?>
<div class="magazine-saga-canvas-modal <?php echo esc_attr( $wrapper_classes ); ?>" role="dialog" aria-modal="true" aria-label="<?php esc_attr_e( 'Offcanvas', 'magazine-saga' ); ?>">
	<div class="magazine-saga-canvas-header">
		<?php 
		$offcanvas_logo = get_theme_mod('offcanvas_logo'); 
		if( $offcanvas_logo ){
			?>
			<div class="magazine-saga-offcanvas-logo">
				<img src="<?php echo esc_url( $offcanvas_logo );?>">
			</div>
			<?php
		}
		?>
		<button class="close-canvas-modal magazine-saga-off-canvas-close toggle fill-children-current-color">
			<span class="screen-reader-text"><?php esc_html_e( 'Close Off Canvas', 'magazine-saga' ); ?></span>
			<?php magazine_saga_the_theme_svg( 'modal-close' ); ?>
		</button>
	</div>
	<?php
	$heading_style = ' saga-title-style-' . get_theme_mod( 'offcanvas_widgetarea_heading_style', 'style_1' );
	$heading_align = ' saga-title-align-' . get_theme_mod( 'offcanvas_widgetarea_heading_align', 'left' );
	$class         = $heading_style . $heading_align;
	?>
	<div class="magazine-saga-canvas-content <?php echo esc_attr( $class ); ?>">
		<nav aria-label="<?php echo esc_attr_x( 'Mobile', 'menu', 'magazine-saga' ); ?>" role="navigation">
			<ul id="magazine-saga-mobile-nav" class="magazine-saga-responsive-menu reset-list-style">
				<?php
				if ( has_nav_menu( 'primary-menu' ) ) {
					wp_nav_menu(
						array(
							'container'      => '',
							'items_wrap'     => '%3$s',
							'show_toggles'   => true,
							'theme_location' => 'primary-menu',
						)
					);
				}
				?>
			</ul>
		</nav>
		<?php 
		if ( is_active_sidebar( 'offcanvas' ) ) :
			dynamic_sidebar( 'offcanvas' ); 
		endif;
		?>
	</div>
</div>
